%define upstream_name List-Objects-Types
%define upstream_version 2.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Type::Tiny-based types for List::Objects::WithUtils
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Objects::WithUtils) >= 2.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Type::Tiny) >= 0.22.0
BuildArch:  noarch

%description
A small set of Type::Tiny-based types & coercions for
List::Objects::WithUtils.

Also see MoopsX::ListObjects, which provides Moops class-building sugar
with List::Objects::WithUtils integration.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.1.1-3.mga8
+ Revision: 1504953
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.1-2.mga7
+ Revision: 1284504
- Mageia 7 Mass Rebuild

* Wed Jul 19 2017 sander85 <sander85> 2.1.1-1.mga7
+ Revision: 1125079
- update to 2.001001

* Sun Jun 19 2016 pterjan <pterjan> 1.3.2-2.mga6
+ Revision: 1029198
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.3.2-1.mga6
+ Revision: 1002078
- update to 1.003002

* Thu Feb 18 2016 umeabot <umeabot> 1.3.1-2.mga6
+ Revision: 965771
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.3.1-1.mga6
+ Revision: 837091
- update to 1.003001

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-3.mga5
+ Revision: 739679
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-2.mga5
+ Revision: 685239
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 1.2.3-1.mga5
+ Revision: 655084
- update to 1.002003

* Sun Feb 09 2014 sander85 <sander85> 1.2.2-1.mga5
+ Revision: 587668
- imported package perl-List-Objects-Types

